Scania S Lavared Skin V1.0 ETS2 1.41

For this mod you need to use Mighty Griffin Tuning Pack (DLC).
Tested on 1.41.x version
Supported game versions: ETS2 – (1.41.x)

Authors: TheForestMan

You may also like...

Leave a Reply

Your email address will not be published.